<div class="flex flex-col h-screen">
  <mat-card class="m-4">
    <mat-card-header class="m-2">
      <mat-card-title>
        <div class="flex">
          <button class="secondary-icon mr-3" (click)="back()"><mat-icon>keyboard_backspace</mat-icon></button>
        {{ name || "New Scope" }}
        </div>
      </mat-card-title>
    </mat-card-header>
    <mat-card-content class="flex flex-col">
      <form [formGroup]="scopeForm">
        <mat-form-field class="w-full">
          <mat-label>Scope Name</mat-label>
          <input matInput formControlName="name" required>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Scope Description</mat-label>
          <input matInput formControlName="description">
        </mat-form-field>
      </form>
    </mat-card-content>
    <mat-card-actions class="m-4 flex flex-row gap-2">
      <button (click)="createScope()" mat-flat-button color="primary" [disabled]="uuid" *ngIf="!uuid"
        [disabled]="!scopeForm.valid">Create</button>
      <button (click)="updateScope()" mat-flat-button color="primary" *ngIf="uuid"
        [disabled]="!scopeForm.valid">Update</button>
      <button (click)="delete()" mat-flat-button color="warn" *ngIf="uuid && uuid !== new">Delete</button>
    </mat-card-actions>
  </mat-card>
</div>